com.r3corda.core.protocols / ProtocolLogicRef

# ProtocolLogicRef

`data class ProtocolLogicRef`

A class representing a ProtocolLogic instance which would be possible to safely pass out of the contract sandbox.

Only allows a String reference to the ProtocolLogic class, and only allows restricted argument types as per ProtocolLogicRefFactory.

### Properties

appContext | `val appContext: AppContext`
args | `val args: Map<String, Any?>`
protocolLogicClassName | `val protocolLogicClassName: String`